xvmstat(1m)

NAME
xvmstat - extended vmstat demo in DTrace. Uses DTrace.

SYNOPSIS
xvmstat [interval [count]]

DESCRIPTION
This has been written to demonstrate fetching similar data as vmstat from DTrace, with a few extra fields. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print virtual memory statistics every second,
    # xvmstat

Print every 5 seconds, 6 times,
    # xvmstat 5 6

FIELDS

w   swapped out LWPs, number

swap
    virtual memory free, Mb

free
    free RAM, Mb

re  page reclaims, pages

maj major faults, pages

mf  minor faults, pages

cow copy-on-write faults, pages

pro protection faults, pages sr scan rate, pages

epi executable page ins, pages

epo executable page outs, pages

epf executable frees, pages

api anonymous page ins, pages

apo anonymous page outs, pages

apf anonymous frees, pages

fpi filesystem page ins, pages

fpo filesystem page outs, pages

fpf filesystem frees, pages

NOTES
Most of the statistics are in units of pages, unlike the original vmstat command which sometimes uses kilobytes. All page values are per second values. As this program does not use Kstat, there is no summary since boot line. Free RAM is both free free + cache free.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
xvmstat will run until Ctrl-C is hit, or until the count argument has been satisfied.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
vmstat(1M), dtrace(1M)